Summary: Thread-safe hash library
Name: mhash
Version: 0.9.2
Release: 1tr
License: GPL
Group: Trustix Contrib
Source: http://prdownloads.sourceforge.net/mhash/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
URL: http://mhash.sf.net

%description
mhash is a thread-safe hash library, implemented in C, and provides a
uniform interface to a large number of hash algorithms (MD5, SHA-1,
HAVAL, RIPEMD128, RIPEMD160, TIGER, GOST). These algorithms can be 
used to compute checksums, message digests, and other signatures.
The HMAC support implements the basics for message authentication, 
following RFC 2104.

%package devel
Summary: Header files and libraries for developing apps which will use mhash
Group: Trustix Contrib
Requires: mhash

%description devel
The mhash-devel package contains the header files and libraries needed
to develop programs that use the mhash library.

Install the mhash-devel package if you want to develop applications that
will use the mhash library.

%prep
%setup -q

%build
%configure --build=%{_build} --enable-static --enable-shared
CFLAGS="$RPM_OPT_FLAGS" make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README INSTALL COPYING
%{_libdir}/libmhash.so.*

%files devel
%defattr(-,root, root)
%doc AUTHORS NEWS TODO THANKS
%doc doc/mhash.html doc/example.c doc/md5-rfc1321.txt doc/skid2-authentication
%{_mandir}/man3/*mhash.3.gz
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/mhash.h

%changelog
* Thu May 26 2005 Ajith Thampi <ajith at comodo dot com> 0.9.2-1tr
- New Entry into TSL-2.2 Official
		
* Thu Oct 07 2004 Raghu <raghu at comodo dot com>
- Rebuilt for TSL-2.2

* Thu Aug 20 2004 Jeyaganesan <ganesan at comodo dot com> 0.9.1-1je
- New upstream

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Tue Sep 23 2003 Goetz Bock <bock at trustix dot org> 0.8.18-2bg
- some spec file cleanups
- build for TSL 2.0 9 (aka Cloud) - Contrib

* Mon Sep 15 2003 Jeremy Miller <piranha at 602 dot org> 0.8.18-1jm
- adapted from spec file in mhash-0.8.18 source
- built as contrib for Trustix 2.0 (Cloud)
